Subject: Re: bug#69393: Compilation error

From: Arash Esbati <[email-masked]>
Date: Sun, 25 Feb 2024 21:21:51 +0100

William C Regli <[email-masked]> writes:

> I'm running the latest gnu emacs on MACOS
> GNU Emacs 29.2 (build 1, aarch64-apple-darwin21.6.0, NS appkit-2113.60
> Version 12.6.6 (Build 21G646)) of 2024-01-18
>
> and auctex produces a compilation error in the file
> context.el
>
> it just hangs... seems to break down near
> (defun ConTeXt-env-args (environment &rest args)
>
> but even moving stuff around in the .el file leads to strange
> compilation behavior.  Like there is some control character in the
> text file or some such.  if I move that defun, the compilation crashes
> SOONER, on the previous defun ...

Maybe I misunderstood your message but I think you want to update your
AUCTeX installation, right?  In this case, try

  • Uninstall AUCTeX 13.x and/or 14.x via package interface
  • Close Emacs and open a new session
  • Install AUCTeX 14.0.3 via package inferface

HTH.  Best, Arash